Loading...
Searching...
No Matches
keller< Problem, std::false_type >

## Detailed Description

template<class Problem>
class rheolef::keller< Problem, std::false_type >

Definition at line 38 of file keller.h.

Inheritance diagram for keller< Problem, std::false_type >:

## Public Types

typedef Float | float_type
typedef details::pair_with_linear_algebra< float_type, typename Problem::value_type > | value_type

## Public Member Functions

| keller (const Problem &pb, std::string metric="orthogonal")
| keller (const keller< Problem, std::false_type > &)
void | reset (const Problem &pb, std::string metric="orthogonal")
float_type | parameter () const
std::string | parameter_name () const
Problem & | get_problem ()
void | set_parameter (float_type s1)
value_type | initial (std::string restart="") const
void | refresh (float_type s, const value_type &xh, const value_type &d_xh_ds) const
value_type | direction (value_type &xh) const
value_type | derivative_versus_parameter (const value_type &xh) const
value_type | residue (const value_type &xh) const
int | solve (value_type &uh, const continuation_option &opts) const
solver::determinant_type | update_derivative (const value_type &xh) const
value_type | derivative_solve (const value_type &mrh) const
value_type | derivative_trans_mult (const value_type &mrh) const
float_type | space_norm (const value_type &xh) const
float_type | dual_space_norm (const value_type &mrh) const
float_type | space_dot (const value_type &xh, const value_type &yh) const
odiststream & | put (odiststream &os, const value_type &xh) const
idiststream & | get (idiststream &is, value_type &xh)
bool | stop (const value_type &xh) const
void | adapt (const value_type &, const adapt_option &)
void | reset_geo (const value_type &)
value_type | reinterpolate (const value_type &xh)

## Protected Attributes

float_type | s
details::add_missing_continuation< Problem > | pb
csr< float_type > | A1
solver | sA1
Problem::value_type | m_df_d_parameter
float_type | s0
value_type | xh0
value_type | d_xh0_ds
bool | has_init
bool | has_refresh
bool | has_spherical
distributor | u_ownership

## Member Typedef Documentation

## float_type

template<class Problem >

typedef Float float_type

Definition at line 40 of file keller.h.

## value_type

template<class Problem >

typedef details::pair_with_linear_algebra<float_type,typename Problem::value_type> value_type

Definition at line 41 of file keller.h.

## Constructor & Destructor Documentation

## keller() [1/2]

template<class Problem >

keller | ( | const Problem & | pb,
|  | std::string | metric = `"orthogonal"`
| ) |  |

Definition at line 80 of file keller.h.

## keller() [2/2]

template<class Problem >

keller | ( | const keller< Problem, std::false_type > & | x | ) |

Definition at line 87 of file keller.h.

## Member Function Documentation

## reset()

template<class Problem >

void reset | ( | const Problem & | pb,
|  | std::string | metric = `"orthogonal"`
| ) |  |

Definition at line 98 of file keller.h.

## parameter()

template<class Problem >

float_type parameter | ( |  | ) | const

Definition at line 45 of file keller.h.

## parameter_name()

template<class Problem >

std::string parameter_name | ( |  | ) | const

Definition at line 46 of file keller.h.

## get_problem()

template<class Problem >

Problem & get_problem | ( |  | ) |

Definition at line 47 of file keller.h.

## set_parameter()

template<class Problem >

void set_parameter | ( | float_type | s1 | ) |

Definition at line 48 of file keller.h.

## initial()

template<class Problem >

keller< Problem, std::false_type >::value_type initial | ( | std::string | restart = `""` | ) | const

Definition at line 106 of file keller.h.

## refresh()

template<class Problem >

void refresh | ( | float_type | s,
|  | const value_type & | xh,
|  | const value_type & | d_xh_ds
| ) |  | const

Definition at line 210 of file keller.h.

## direction()

template<class Problem >

keller< Problem, std::false_type >::value_type direction | ( | value_type & | xh | ) | const

Definition at line 203 of file keller.h.

## derivative_versus_parameter()

template<class Problem >

keller< Problem, std::false_type >::value_type derivative_versus_parameter | ( | const value_type & | xh | ) | const

Definition at line 219 of file keller.h.

## residue()

template<class Problem >

keller< Problem, std::false_type >::value_type residue | ( | const value_type & | xh | ) | const

Definition at line 120 of file keller.h.

## solve()

template<class Problem >

int solve | ( | value_type & | uh,
|  | const continuation_option & | opts
| ) |  | const

Definition at line 192 of file keller.h.

## update_derivative()

template<class Problem >

solver::determinant_type update_derivative | ( | const value_type & | xh | ) | const

Definition at line 133 of file keller.h.

## derivative_solve()

template<class Problem >

keller< Problem, std::false_type >::value_type derivative_solve | ( | const value_type & | mrh | ) | const

Definition at line 159 of file keller.h.

## derivative_trans_mult()

template<class Problem >

keller< Problem, std::false_type >::value_type derivative_trans_mult | ( | const value_type & | mrh | ) | const

Definition at line 176 of file keller.h.

## space_norm()

template<class Problem >

keller< Problem, std::false_type >::float_type space_norm | ( | const value_type & | xh | ) | const

Definition at line 238 of file keller.h.

## dual_space_norm()

template<class Problem >

keller< Problem, std::false_type >::float_type dual_space_norm | ( | const value_type & | mrh | ) | const

Definition at line 244 of file keller.h.

## space_dot()

template<class Problem >

keller< Problem, std::false_type >::float_type space_dot | ( | const value_type & | xh,
|  | const value_type & | yh
| ) |  | const

Definition at line 232 of file keller.h.

## put()

template<class Problem >

odiststream & put | ( | odiststream & | os,
|  | const value_type & | xh
| ) |  | const

Definition at line 249 of file keller.h.

## get()

template<class Problem >

idiststream & get | ( | idiststream & | is,
|  | value_type & | xh
| ) |  |

Definition at line 267 of file keller.h.

## stop()

template<class Problem >

bool stop | ( | const value_type & | xh | ) | const

Definition at line 63 of file keller.h.

## adapt()

template<class Problem >

void adapt | ( | const value_type & | ,
|  | const adapt_option & |
| ) |  |

Definition at line 65 of file keller.h.

## reset_geo()

template<class Problem >

void reset_geo | ( | const value_type & |  | ) |

Definition at line 66 of file keller.h.

## reinterpolate()

template<class Problem >

value_type reinterpolate | ( | const value_type & | xh | ) |

Definition at line 67 of file keller.h.

## Member Data Documentation

## s

template<class Problem >

float_type s

protected

Definition at line 69 of file keller.h.

## pb

template<class Problem >

details::add_missing_continuation<Problem> pb

mutable protected

Definition at line 70 of file keller.h.

## A1

template<class Problem >

csr<float_type> A1

mutable protected

Definition at line 71 of file keller.h.

## sA1

template<class Problem >

solver sA1

mutable protected

Definition at line 72 of file keller.h.

## m_df_d_parameter

template<class Problem >

Problem::value_type m_df_d_parameter

mutable protected

Definition at line 73 of file keller.h.

## s0

template<class Problem >

float_type s0

mutable protected

Definition at line 74 of file keller.h.

## xh0

template<class Problem >

value_type xh0

mutable protected

Definition at line 75 of file keller.h.

## d_xh0_ds

template<class Problem >

value_type d_xh0_ds

protected

Definition at line 75 of file keller.h.

## has_init

template<class Problem >

bool has_init

mutable protected

Definition at line 76 of file keller.h.

## has_refresh

template<class Problem >

bool has_refresh

protected

Definition at line 76 of file keller.h.

## has_spherical

template<class Problem >

bool has_spherical

protected

Definition at line 76 of file keller.h.

## u_ownership

template<class Problem >

distributor u_ownership

mutable protected

Definition at line 77 of file keller.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/keller.h